/* DataVisionController */

#import <Cocoa/Cocoa.h>
#import "TaskWrapper.h"

@class	ReportBridge	;

@interface DataVisionController : NSWindowController <TaskWrapperDelegate>
{
    IBOutlet NSTextField *ibCommandLine;
    IBOutlet NSTextField *ibCountry;
    IBOutlet NSTextField *ibDelimiter;
    IBOutlet NSTextField *ibLanguage;
    IBOutlet NSTextField *ibParametersName;
    IBOutlet NSSecureTextField *ibPassword;
    IBOutlet NSTextField *ibReportName;
    IBOutlet NSPopUpButton *ibReportType;
    IBOutlet NSButton *ibTurnOffQuoting;
    IBOutlet NSTextField *inDataFileName;
    IBOutlet NSButton *inSelectDataFileBtn;
	
	NSString 	*_commandBase	;
	NSString	*_reportFileName	;
	NSString	*_parameterFileName	;
	NSString	*_dataFileName	;
	
	ReportBridge	*_reportBean	;
}
- (IBAction)doClearReportName:(id)sender;
- (IBAction)doClearDataFileName:(id)sender;
- (IBAction)doClearParametersName:(id)sender;
- (IBAction)doRun:(id)sender;
- (IBAction)doSelectDataFile:(id)sender;
- (IBAction)doSelectParameters:(id)sender;
- (IBAction)doSelectReport:(id)sender;
- (IBAction)doSelectReportType:(id)sender;
- (IBAction)doSetCountry:(id)sender;
- (IBAction)doSetDelimiter:(id)sender;
- (IBAction)doSetLanguage:(id)sender;
- (IBAction)doSetPassword:(id)sender;
- (IBAction)doTurnOffQuoting:(id)sender;
@end
